/*++

Copyright (c) 1985-2009 Sangoma Technologies All Rights Reserved

Module Name:

    sngbus_exports.h

Abstract:

    This module contains declarations of function exported by SngBus.sys.

Author:

    David Rokhvarg December 02, 2009

Environment:

    kernel mode only

Notes:


Revision History:


--*/

#ifndef SNGBUS_EXPORTS_H
#define SNGBUS_EXPORTS_H

/*#pragma warning( disable : 4273 )*/ /* Compiler Warning (level 1) C4273 'function' : inconsistent DLL linkage */

#if defined(BUSENUM_DRV)
# define SNGBUS_CALL	DECLSPEC_EXPORT
#else
# define SNGBUS_CALL	DECLSPEC_IMPORT 
#endif

#ifdef WAN_DEBUG_MEM
SNGBUS_CALL int sdla_memdbg_init(void);
SNGBUS_CALL int sdla_memdbg_free(void);
SNGBUS_CALL int sdla_memdbg_push(void *mem, const char *func_name, const int line, int len);
SNGBUS_CALL int sdla_memdbg_pull(void *mem, const char *func_name, const int line);
#endif

SNGBUS_CALL void sdla_copy_hwinfo(hardware_info_t *hwinfo, sdlahw_t *hw, sdlahw_cpu_t *hwcpu);
SNGBUS_CALL void sdla_sngbus_get_version(OUT wan_driver_version_t *drv_version_ptr);
SNGBUS_CALL void sdla_sngbus_set_UPPER_driver_version(IN wan_driver_version_t *drv_version_ptr);

#endif	/* SNGBUS_EXPORTS_H */

